org.springframework.core.convert.support

## Interface ConfigurableConversionService

All Superinterfaces:
  ConversionService, ConverterRegistry

All Known Implementing Classes:
  DefaultConversionService, DefaultFormattingConversionService, FormattingConversionService, GenericConversionService

    public interface ConfigurableConversionService
    extends ConversionService, ConverterRegistry

Configuration interface to be implemented by most if not all `ConversionService` types. Consolidates the read-only operations exposed by `ConversionService` and the mutating operations of `ConverterRegistry` to allow for convenient ad-hoc addition and removal of `Converters` through. The latter is particularly useful when working against a `ConfigurableEnvironment` instance in application context bootstrapping code.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `ConfigurablePropertyResolver.getConversionService()`, `ConfigurableEnvironment`, `ConfigurableApplicationContext.getEnvironment()`

### Method Summary

### Methods inherited from interface org.springframework.core.convert.ConversionService

`canConvert, canConvert, convert, convert`

### Methods inherited from interface org.springframework.core.convert.converter.ConverterRegistry

`addConverter, addConverter, addConverter, addConverterFactory, removeConvertible`